﻿*==============================================================================*
**SINTAXIS DE TABULADOS**.
*==============================================================================*

* Encoding: UTF-8.
* Fecha de elaboración: 27 de octubre de 2016
* Fecha última modificación: 27 de octubre de 2016
********************************************************************************
* Software estadístico: SPSS 23
********************************************************************************
* Elaborado por:
* Christián Terán L.
* Dirección de Estadísticas Agropecuarias y Ambientales(DEAGA)
* Instituto Nacional de Estadística y Censos
* Christian_Teran@inec.gob.ec
********************************************************************************
* Revisado por:
* Edisson Villagran Fonseca.
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)
* Instituto Nacional de Estadística y Censos
* Edison_Villagran@inec.gob.ec
********************************************************************************
* Aprobado por: María José Murgueitio
* Directora de Estadísticas Agropecuarias y Ambientales
* Instituto Nacional de Estadística y Censos
* mariajose_murgueitio@inec.gob.ec
*==============================================================================*

*==============================================================================*
**SINTAXIS AGREGADOS**.
*==============================================================================*
*==============================================================================*
**PROVINCIA**.
*==============================================================================*.
if (IdCantón >= 100 and IdCantón <= 199) Prov = 1.
if (IdCantón >= 200 and IdCantón <= 299) Prov = 2.
if (IdCantón >= 300 and IdCantón <= 399) Prov = 3.
if (IdCantón >= 400 and IdCantón <= 499) Prov = 4.
if (IdCantón >= 500 and IdCantón <= 599) Prov = 5.
if (IdCantón >= 600 and IdCantón <= 699) Prov = 6.
if (IdCantón >= 700 and IdCantón <= 799) Prov = 7.
if (IdCantón >= 800 and IdCantón <= 899) Prov = 8.
if (IdCantón >= 900 and IdCantón <= 999) Prov = 9.
if (IdCantón >= 1000 and IdCantón <= 1099) Prov = 10.
if (IdCantón >= 1100 and IdCantón <= 1199) Prov = 11.
if (IdCantón >= 1200 and IdCantón <= 1299) Prov = 12.
if (IdCantón >= 1300 and IdCantón <= 1399) Prov = 13.
if (IdCantón >= 1400 and IdCantón <= 1499) Prov = 14.
if (IdCantón >= 1500 and IdCantón <= 1599) Prov = 15.
if (IdCantón >= 1600 and IdCantón <= 1699) Prov = 16.
if (IdCantón >= 1700 and IdCantón <= 1799) Prov = 17.
if (IdCantón >= 1800 and IdCantón <= 1899) Prov = 18.
if (IdCantón >= 1900 and IdCantón <= 1999) Prov = 19.
if (IdCantón >= 2000 and IdCantón <= 2099) Prov = 20.
if (IdCantón >= 2100 and IdCantón <= 2199) Prov = 21.
if (IdCantón >= 2200 and IdCantón <= 2299) Prov = 22.
if (IdCantón >= 2300 and IdCantón <= 2399) Prov = 23.
if (IdCantón >= 2400 and IdCantón <= 2499) Prov = 24.
if (IdCantón=808)Prov = 23.
value labels Prov
1'Azuay'
2'Bolívar'
3'Cañar'
4'Carchi'
5'Cotopaxi'
6'Chimborazo'
7'El Oro'
8'Esmeraldas'
9'Guayas'
10'Imbabura'
11'Loja'
12'Los Ríos'
13'Manabí'
14'Morona-Santiago'
15'Napo'
16'Pastaza'
17'Pichincha'
18'Tungurahua'
19'Zamora-Chinchipe'
20'Galápagos'
21'Sucumbíos'
22'Orellana'
23'Santo Domingo de los Tsáchilas'
24'Santa Elena'
90'Zona no delimitada'.
variable labels Prov 'Provincia'.
alter type Prov (F2,0).
frequencies Prov.

*==============================================================================*
**REGIONES**.
*==============================================================================*.

recode Prov (1 thru 6, 10, 11, 17, 18, 23 = 1) (7, 8, 9, 12, 13, 24 = 2) (14, 15, 16, 19, 21, 22 = 3) (20 = 4) (90 = 5) into region.
variable labels region 'Región natural del Ecuador'.
value labels region 1'Sierra' 2'Costa' 3'Amazonía' 4'Región Insular' 5'Zonas No Delimitadas'.
alter type region (F2,0).
frequencies region.

*==============================================================================*
**NACIONAL**.
*==============================================================================*.

compute Nacional = 1.
value labels Nacional 1'Nacional'.
variable labels Nacional 'Nacional'.
alter type Nacional (F2.0).
frequencies Nacional.

*==============================================================================*
**SINTAXIS DE TABULADOS**.
*==============================================================================*

* Sintaxis del Plan de Tabulados de Gobiernos Autonomos Descentralizados Municipales.
* Gestión de Agua y Alcantarillado 2015.

** 1.	Formas de abastecimiento y distribución de agua apta para el consumo humano a la población del cantón 2015.
** Desagregación: Nacional, regional y provincial.
** Abrir la Base 1. secciòn n_Base_Principal_Agua_Alcantarillado.

* Definir conjuntos de respuestas múltiples. 
if (IdCantón=2401) MA221=
MRSETS
  /MDGROUP NAME=$Abast_agua LABEL='Abastecimiento de agua ' CATEGORYLABELS=VARLABELS 
    VARIABLES=MA221 MA222 MA223 MA224 VALUE='1'
  /DISPLAY NAME=[$Abast_agua].
Compute Nacional =1.
Value labels Nacional 1 'Nacional'.
execute.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Nacional region prov $Abast_agua DISPLAY=LABEL
  /TABLE Nacional [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + region [C][COUNT F40.0, ROWPCT.COUNT 
    PCT40.1] + prov [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] BY $Abast_agua [C]
  /CATEGORIES VARIABLES=Nacional ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=region prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=$Abast_agua  EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='¿Para la prestación de los servicios de agua potable y alcantarillado en el Municipio '+
    'cuenta con:?'.

*==============================================================================*

** 2.	Municipios que cuentan con excedente de producción de agua apta para el consumo humano 2015.
** Desagregación: Nacional, regional y provincial.
** Abrir la Base 1. secciòn n_Base_Principal_Agua_Alcantarillado.

alter type MA26 (F2.0).

CTABLES 
  /VLABELS VARIABLES=Nacional MA26 DISPLAY=LABEL 
  /TABLE Nacional BY MA26 [COUNT F40.0, ROWPCT.VALIDN PCT40.2] 
  /SLABELS POSITION=ROW 
  /CATEGORIES VARIABLES=Nacional ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MA26 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=region MA26 DISPLAY=LABEL 
  /TABLE region [C] BY MA26 [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] 
  /CATEGORIES VARIABLES=region ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER 
  /CATEGORIES VARIABLES=MA26 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=Prov MA26 DISPLAY=LABEL 
  /TABLE Prov [C] BY MA26 [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] 
  /CATEGORIES VARIABLES=Prov ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER 
  /CATEGORIES VARIABLES=MA26 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

*==============================================================================*

** 3.	Volumen de agua cruda que ingresa a la planta de tratamiento 2015.
** Desagregación: Nacional, regional y provincial.
** Abrir la base 4  sección3_PlantasTratamiento.

alter type MA37 (F40.2).
compute volm_cruda = MA37 *86400 *30 /1000.
alter type volm_cruda (F40.2).
Compute Nacional =1.
Value labels Nacional 1 'Nacional'.
execute.
variable labels volm_cruda 'Volumen de agua cruda que ingresa a la planta (m3 / promedio mes)'.

CTABLES 
  /VLABELS VARIABLES=Nacional MA37 volm_cruda DISPLAY=LABEL 
  /TABLE Nacional [C] BY MA37 [S][SUM] + volm_cruda [S][SUM] 
  /CATEGORIES VARIABLES=Nacional ORDER=A KEY=VALUE EMPTY=INCLUDE.

CTABLES 
  /VLABELS VARIABLES=region MA37 volm_cruda DISPLAY=LABEL 
  /TABLE region[C] BY MA37 [S][SUM] + volm_cruda [S][SUM] 
  /CATEGORIES VARIABLES=regiont ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=Prov MA37 volm_cruda DISPLAY=LABEL 
  /TABLE Prov [C] BY MA37 [S][SUM] + volm_cruda [S][SUM] 
  /CATEGORIES VARIABLES=Prov ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

*==============================================================================*

** 4.	Volumen de agua tratada para la distribución 2015.
** Desagregación: Nacional, regional y provincial.
** Abrir la base 3  sección3_SistemaAguaPotableEstadoTécnico

alter type MA381 (F20.0).
Compute Nacional =1.
Value labels Nacional 1 'Nacional'.
execute.
CTABLES 
  /VLABELS VARIABLES=Nacional MA381 DISPLAY=LABEL 
  /TABLE Nacional [C] BY MA381 [SUM] 
  /CATEGORIES VARIABLES=Nacional ORDER=A KEY=VALUE EMPTY=INCLUDE.

CTABLES 
  /VLABELS VARIABLES=region MA381 DISPLAY=LABEL 
  /TABLE region [C] BY MA381 [SUM, COLPCT.SUM PCT40.2] 
  /CATEGORIES VARIABLES=region ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=Prov MA381 DISPLAY=LABEL 
  /TABLE Prov [C] BY MA381 [SUM, COLPCT.SUM PCT40.2] 
  /CATEGORIES VARIABLES=Prov ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

*==============================================================================*

** 5.	Municipios que realizan monitoreo de calidad de agua apta para el consumo humano 2015.
** Desagregación: Nacional, regional y provincial. 
** Abrri la base 3  sección3_SistemaAguaPotableEstadoTécnico.

*Recodificar variable MA39.
DATASET NAME Base_3.
alter type MA39 (F2.0).
Recode MA39, (1=1) (2=0) into MA39_recode.
execute.
*Agregado resultados monitoreo de agua.
DATASET DECLARE Monitoreo.
AGGREGATE
  /OUTFILE='Monitoreo'
  /BREAK=prov IdCantón Cantón region
  /MA39_recode_sum 'Monitoreo de agua'=SUM(MA39_recode).
DATASET ACTIVATE Monitoreo.
compute Nacional =1.
IF  (MA39_recode_sum >= 1) monitoreo=1.
IF  (MA39_recode_sum = 0) monitoreo=2.
value labels monitoreo
1 "Si"
2 "No".
EXECUTE.
DATASET ACTIVATE Monitoreo.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Nacional region prov monitoreo DISPLAY=LABEL
  /TABLE Nacional [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + region [C][COUNT F40.0, ROWPCT.COUNT 
    PCT40.1] + prov [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] BY monitoreo [C]
  /CATEGORIES VARIABLES=Nacional ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=region prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=monitoreo ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

*==============================================================================*

** 6.	Volumen de agua de consumo autorizado que no se factura (agua entregada a consumidores autorizados Ej. Bomberos, parques, etc.) 2015.
** Desagregación: Nacional, regional y provincial. 
** Abrir la Base 1. secciòn n_Base_Principal_Agua_Alcantarillado.

Compute Nacional =1.
Value labels Nacional 1 'Nacional'.
execute.

CTABLES
  /VLABELS VARIABLES=Nacional region prov MA547 DISPLAY=LABEL
  /TABLE Nacional [C] + region [C] + prov [C] BY MA547 [S][SUM, COLPCT.SUM PCT40.1]
  /CATEGORIES VARIABLES=Nacional ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=region prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

*==============================================================================*

** 7.	Municipios que cuentan con alcantarillado sanitario 2015.
** Desagregación: Nacional, regional y provincial. 
** Abrir la Base 1. secciòn n_Base_Principal_Agua_Alcantarillado.

alter type MA4311 (F2.0).
Compute Nacional =1.
Value labels Nacional 1 'Nacional'.
execute.

CTABLES 
  /VLABELS VARIABLES=Nacional  MA4311  DISPLAY=LABEL 
  /TABLE Nacional BY  MA4311  [COUNT F40.0, ROWPCT.VALIDN PCT40.2] 
  /SLABELS POSITION=ROW 
  /CATEGORIES VARIABLES=Nacional ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES= MA4311  ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES 
    POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=region MA4311 DISPLAY=LABEL 
  /TABLE region [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY MA4311 [C] 
  /CATEGORIES VARIABLES=region MA4311 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=Prov MA4311 DISPLAY=LABEL 
  /TABLE Prov [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY MA4311 [C] 
  /CATEGORIES VARIABLES=Prov MA4311 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

*==============================================================================*

** 8.	Municipios que cuentan con alcantarillado combinado 2015.
** Desagregación: Nacional, regional y provincial. 
** Abrir la Base 1. secciòn n_Base_Principal_Agua_Alcantarillado.

alter type MA4312 (F2.0).
Compute Nacional =1.
Value labels Nacional 1 'Nacional'.
execute.

CTABLES 
  /VLABELS VARIABLES=Nacional MA4312 DISPLAY=LABEL 
  /TABLE Nacional [C] BY  MA4312  [COUNT F40.0, ROWPCT.VALIDN PCT40.2] 
  /SLABELS POSITION=ROW 
  /CATEGORIES VARIABLES=Nacional ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES= MA4312  ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES 
    POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=region MA4312 DISPLAY=LABEL 
  /TABLE region [C] [COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY MA4312 [C] 
  /CATEGORIES VARIABLES=region MA4312 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=Prov MA4312 DISPLAY=LABEL 
  /TABLE Prov [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY MA4312 [C] 
  /CATEGORIES VARIABLES=Prov MA4312 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

*==============================================================================*

** 9.	Municipios que  cuentan con alcantarillado pluvial 2015.
** Desagregación: Nacional, regional y provincial. 
** Abrir la Base 1. secciòn n_Base_Principal_Agua_Alcantarillado.

alter type MA4313 (F2.0).
Compute Nacional =1.
Value labels Nacional 1 'Nacional'.
execute.

CTABLES 
  /VLABELS VARIABLES=Nacional MA4313 DISPLAY=LABEL 
  /TABLE Nacional [C] BY  MA4313  [COUNT F40.0, ROWPCT.VALIDN PCT40.2] 
  /SLABELS POSITION=ROW 
  /CATEGORIES VARIABLES=Nacional ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES= MA4313  ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES 
    POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=region MA4313 DISPLAY=LABEL 
  /TABLE region [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY MA4313 [C] 
  /CATEGORIES VARIABLES=region MA4313 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=Prov MA4313 DISPLAY=LABEL 
  /TABLE Prov [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY MA4313 [C] 
  /CATEGORIES VARIABLES=Prov MA4313 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

*==============================================================================*

** 10.	Proporción de municipios que realizan procesos de tratamiento a las aguas residuales 2015.
** Desagregación: Nacional, regional y provincial. 
** Abrir la Base 1. secciòn n_Base_Principal_Agua_Alcantarillado.

alter type MA451 (F2.0).
Compute Nacional =1.
Value labels Nacional 1 'Nacional'.
execute.
CTABLES 
  /VLABELS VARIABLES=Nacional MA451 DISPLAY=LABEL 
  /TABLE Nacional [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY MA451 [C] 
  /SLABELS POSITION=ROW 
  /CATEGORIES VARIABLES=Nacional ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MA451 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=region MA451 DISPLAY=LABEL 
  /TABLE region [C] [COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY MA451 
  /CATEGORIES VARIABLES=region MA451 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=Prov MA451 DISPLAY=LABEL 
  /TABLE Prov [C] [COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY MA451 
  /CATEGORIES VARIABLES=Prov MA451 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

*==============================================================================*

** 11.	Volumen de ingreso de agua residual (m3/promedio mensual) 2015.
** Desagregación: Nacional, regional y provincial variables  MA452 Y MA453.
** Abrir la base 5  sección4_ParteADetalleAguasResiduales.

alter type MA452 (F20.0).
alter type MA453 (F20.0).
Compute Nacional =1.
Value labels Nacional 1 'Nacional'.
execute.

CTABLES 
  /VLABELS VARIABLES=Nacional MA452 MA453 DISPLAY=LABEL 
  /TABLE Nacional [C] BY MA452 [SUM] + MA453 [SUM] 
  /CATEGORIES VARIABLES=Nacional ORDER=A KEY=VALUE EMPTY=INCLUDE.

CTABLES 
  /VLABELS VARIABLES=region MA452 MA453 DISPLAY=LABEL 
  /TABLE region [C] BY MA452 [SUM, COLPCT.SUM PCT40.2] + MA453 [SUM, COLPCT.SUM PCT40.2] 
  /CATEGORIES VARIABLES=region ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=Prov MA452 MA453 DISPLAY=LABEL 
  /TABLE Prov [C] BY MA452 [SUM, COLPCT.SUM PCT40.2] + MA453 [SUM, COLPCT.SUM PCT40.2] 
  /CATEGORIES VARIABLES=Prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

*==============================================================================*.











